package com.czg.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;
import java.util.List;

/**
 * 平台类型枚举
 *
 * @author tankaikai
 * @since 2025-02-27 14:39
 */
@Getter
@RequiredArgsConstructor
public enum PlatformTypeEnum {
    /**
     * 收银机客户端
     */
    PC_CLIENT("PC", "收银机客户端"),
    /**
     * 微信小程序
     */
    WECHAT("WX", "微信小程序"),
    /**
     * 支付宝小程序
     */
    ALIPAY("ALI", "支付宝小程序"),
    /**
     * PC管理端
     */
    WEB_ADMIN("WEB", "PC管理端"),
    /**
     * APP管理端
     */
    APP_ADMIN("APP", "APP管理端");

    private final String value;
    private final String text;


    public static List<String> getValues() {
        return Arrays.stream(values()).map(PlatformTypeEnum::getValue).toList();
    }

    public static String getText(String value) {
        PlatformTypeEnum item = Arrays.stream(values()).filter(obj -> value.equals(obj.getValue())).findFirst().orElse(null);
        if (item != null) {
            return item.getText();
        }
        return null;
    }
}
